/* START GLOBAL RULES */

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Cairo", sans-serif;
    scroll-behavior: smooth;
    transition: 0.25s;
}

.container {
    padding-left: 20px;
    padding-right: 20px;
    max-width: 1300px;
    margin-left: auto;
    margin-right: auto;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

:root {
    --black-color: #252525;
    --grey-color: #ddd;
    --gold-color: #ffff3f;
    --green-color: #cfff13;
    --white-color: #ffffff;
}

body {
    background-color: var(--white-color);
}


/* END GLOBAL RULES */


/* START HEADER RULES */

.header-one {
    border-bottom: solid 1.5px var(--grey-color);
}

.header-one .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-one .media-links,
section.contact .media-links {
    display: flex;
    gap: 30px;
}

.header-one .media-links a,
section.contact .media-links a {
    width: 28px;
    height: 28px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white-color);
    background-color: var(--black-color);
    cursor: pointer;
}

.header-one .media-links a:hover,
section.contact .media-links a:hover {
    background-color: var(--green-color);
}

.header-one .contact-info {
    display: flex;
    gap: 40px;
    padding: 13px 50px 13px 50px;
    border-right: solid 1.5px var(--grey-color);
    border-left: solid 1.5px var(--grey-color);
}

.header-one .contact-info a {
    color: var(--black-color);
    font-weight: 500;
}

.header-one .contact-info a i {
    margin-right: 5px;
}


header .cart-icon i {
    font-size: 25px;
    color: var(--black-color);
    position: relative;
    top: 5px;
}

header .cart-icon i:hover {
    color: var(--green-color);
}

header .cart-icon i::after {
    content: attr(data-count);
    position: absolute;
    top: -10px;
    left: -5px;
    padding: 3px 5px;
    color: var(--white-color);
    background-color: var(--green-color);
    border-radius: 3px;
    font-size: 10px;
}

@media (max-width: 820px) {
    .header-one {
        display: none;
    }
}

.header-two {
    border-bottom: solid 1.5px var(--grey-color);
}


.header-two .contact-link {
    display: none;
}

.header-two .cart-icon {
    display: none;
}

.header-two .container {
    display: flex;
    justify-content: space-between;
}

.header-two .logo img {
    width: 110px;
    transform: scale(1.6);
    position: relative;
    top: 12px
}

.header-two ul {
    display: flex;
    gap: 50px;
    height: 100%;
}

.header-two ul li {
    height: 100%;
    display: flex;
    align-items: center;
    padding-left: 60px;
}

.header-two ul li:not(.images) {
    border-left: solid 1.5px var(--grey-color);
}

.header-two ul li.images {
    display: flex;
    column-gap: 80px;
    align-items: center;
}


.header-two ul li.images img {
    height: 60px;
    transform: scale(1.5);
}

@media (max-width: 1025px) {
    .header-two ul li.images {
        column-gap: 30px;
        transform: scale(1);
    }
}

@media (max-width: 1100px) {
    .header-two ul li.images {
        display: none;
    }
}

.header-two ul li a {
    color: var(--black-color);
}

.header-two ul li a i {
    margin-left: 3px;
}

.header-two ul li a:hover {
    color: var(--green-color);
}

.cart-icon-mobile {
    display: none !important;
}

.nav-controller {
    display: none;
}

.nav-controller i {
    font-size: 20px;
    cursor: pointer;
}

.nav-controller i:hover {
    color: var(--green-color);
}

.nav-controller .close {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 5;
}

.nav-controller .open {
    position: relative;
}

.nav-controller i.active {
    background-color: var(--white-color);
    z-index: 10;
}

@media (max-width: 820px) {
    .header-two .contact-link {
        display: flex;
    }

    .header-two .contact-link {
        display: flex;
    }

    .header-two ul {
        gap: 20px;
    }

    .header-two ul li {
        padding-left: 10px;
    }

    .header-two .cart-icon {
        display: flex;
        font-size: 16px;

    }

    .header-two .logo img {
        width: 80px;
    }
}

.header-two ul li a:hover {
    color: var(--green-color);
}

@media (max-width: 550px) {
    header {
        position: sticky;
        top: 0;
        z-index: 100;
        background-color: var(--white-color);
    }

    .header-two {
        align-items: center;
        position: relative;
    }

    .header-two nav {
        position: absolute;
        bottom: 0;
        transform: translateY(100%);
        left: 0;
        width: 100%;
        height: 0;
        overflow: hidden;
    }

    .header-two nav.active {
        height: 136.8px;
    }

    .header-two nav .cart-icon {
        display: none;
    }

    .header-two nav ul {
        flex-direction: column;
        gap: 0;
        width: 100%;
    }

    .header-two nav ul li {
        padding: 0px !important;
        margin: 0;
    }

    .header-two nav ul li a {
        background-color: var(--green-color);
        padding: 8px 20px;
        display: block;
        width: 100%;
    }

    .header-two nav ul li a:hover {
        background-color: var(--gold-color);
        color: var(--white-color);
    }

    .nav-controller {
        display: flex;
        align-items: center;
        position: relative;
    }

    .cart-icon-mobile {
        display: flex !important;
        align-items: center;
    }
}


/* END HEADER RULES */


/* START SECTION CATEGORIES RULES */

section.categories {
    background-color: var(--gold-color);
}

section.categories .categories-container {
    display: flex;
    gap: 15px;
    justify-content: space-between;
    max-width: 800px;
    margin: 0 auto;
    flex-wrap: wrap;
    padding-top: 5px;
    padding-bottom: 5px;
}

section.categories .categories-container a {
    color: var(--black-color);
    font-size: 18px;
    font-weight: 500;
}

section.categories .categories-container a:hover {
    color: var(--white-color);
}

section.categories .categories-container a.active {
    color: var(--white-color);
}

@media (max-width: 500px) {
    section.categories .categories-container a {
        font-size: 15px;
    }
}


/* END SECTION CATEGORIES RULES */


/* START SECTION CONTACT RULES */

section.contact {
    background-color: var(--green-color);
    padding-bottom: 15px;
    padding-top: 15px;
    display: none;
}

section.contact .container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}

section.contact .contact-info {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}

section.contact .contact-info a {
    color: var(--black-color);
    font-weight: 500;
}

section.contact .contact-info a i {
    margin-right: 5px;
}

@media (max-width: 820px) {
    section.contact {
        display: flex;
    }
}


/* END SECTION CONTACT RULES */


/* START FOOTER RULES */

footer {
    background-color: var(--black-color);
}

footer p {
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
    color: var(--white-color);
}


/* END FOOTER RULES */

.toast {
    opacity: 1 !important;
}

.no-products-found
{
    text-align: center;
    font-size: 1.3rem;
    color: #555;
    padding: 50px 0;
    border: 2px dashed #ddd;
    border-radius: 8px;
    background-color: #f9f9f9;
    width: 100%;
    box-sizing: border-box;
    font-family: sans-serif;
}

.no-products-found i {
    color: #888;
}